<!DOCTYPE html>
<html>
<head>
	<!-- meta tag -->
	<meta charset="utf-8">
	<title>HTML Forms</title>
</head>
<body>
	<!-- title of the webpage -->
	<h2 align="center">Welcome to the Forms Page</h2>
	<!-- Semantic Tag
		Semantic tags are new additions to HTML. Semantic tags are also containers for elements but unlike div, they are definitive and describes its content without relying to semantic id. However, em, strong are also considered semantic tags.

		Semantic containers such as nav, main, section etc. These semantic containers are now preferredby developers because it aids SEO, browsers as well as other developers.
	 -->
	 <!-- main is a semantic container used to show or display the main content of a page -->
	 <main>
	 	<!-- sections are used to show parts of a page or content -->
	 	<section>
	 		<h2>HTML Forms</h2>
	 		<p>
	 			HTML Forms are used to gather information/data from our user and send that information to a server.
	 		</p>
	 	</section>
	 	<section>
	 		<!-- form tags allow us to create a form. We can gather and send user input from our form -->
	 		<!-- action attribute is used to define where the information gathered will be passed after the submission. -->
	 		<form action="https://google.com">
	 			<!-- label tags create a text element that serves as a label to input filled. 

					for attribute in label element works in such a way that when the label is clicked by our cursor, it will be moved into our input.
	 			-->
	 			<!-- input tag allows us to create an input element which can be used to add user input.

					type attribute in input element allows us to identify what kind of information is to be gathered. It also affects the behavior of the input element.

					name attribute in input element allows us to provide a name, identifier for the the VALUE of the input element. This is used to identify the value of an input in a from data.

					id attribute allows us to identify the input element. It is used to reference the for attribute by appropriate label element.

					required attribute will not allow the form to be submitted until the input element has value or data.

					autocomplete attribute provide suggestion for inputs and allows for better user experience.

	 			 -->
	 			<label for="fname">Full Name:</label>
	 			<br>
	 			<input type="text" id="fname" name="fullName" required autocomplete />
	 			<br>
	 			<!-- birthdate -->
	 			<label for="bday">Birthdate:</label>
	 			<br>
	 			<!-- type="date" for an input element changes the behavior of an input element, and allows only the input of dates. -->
	 			<input type="date" name="bdate" id="bday" required />
	 			<br>
	 			<!-- age -->
	 			<label for="ageInput">Age:</label>
	 			<br>
	 			<!-- type="number" for an input element allows only to input numbers. -->
	 			<!-- min and max attributes allow us to add a minimum and maximum number to be input in our number type input element. -->
	 			<input type="number" name="age" id="ageInput" min="18" max="40" required />
	 			<br>
	 			<!-- gender -->
	 			<label for="genderInput">Gender:</label>
	 			<br>
	 			<!-- select tag allows us to create a dropdown menu to select an option. -->
	 			<!-- option tag allows us to create the options/choices available for our select tag. -->
	 			<!-- value attribute - we provide it per option as this will be the data sent with out form. -->
	 			<select name="gender" id="genderInput">
	 				<option value="male">Male</option>
	 				<option value="female">Female</option>
	 				<option value="other">Not to Mention</option>
	 			</select>
	 			<br>
	 			<!-- radio -->
	 			<!-- radio type input allows us to create radio buttons which lets users pass a single piece of information based on multiple other radio buttons. -->
	 			<!-- name attribute of radio buttons should be the same to allow only one value to be stored or passed with our form. -->
	 			<label>New User?</label>
	 			<br>
	 			<input type="radio" name="new_user" id="radioUser1" value="yes">
	 			<label for="radioUser1">Yes</label>
	 			<br>
	 			<input type="radio" name="new_user" id="radioUser2" value="no">
	 			<label for="radioUser2">No</label>
	 			<br>
	 			<!-- checkbox -->
	 			<!-- check type input creates check which allows for multiple selection among multiple choices. -->
	 			<!-- for multiple selection, the name attribute for each checkbox should be unique BUT related. -->
	 			<label>Roles</label>
	 			<br>
	 			<input type="checkbox" name="role1" id="roleInput1" value="developer">
	 			<label for="roleInput1">Developer</label>
	 			<br>
	 			<input type="checkbox" name="role2" id="roleInput2" value="student">
	 			<label for="roleInput2">Student</label>
	 			<br>
	 			<input type="checkbox" name="role3" id="roleInput3" value="manager">
	 			<label for="roleInput3">Manager</label>
	 			<br>
	 			<label for="messageInput">Message</label>
	 			<textarea name="message" rows="4" id="messageInput"></textarea>
	 			<br>
	 			<button type="submit">Submit</button>
	 			<button type="reset">Reset</button>
	 		</form>
	 	</section>
	 </main>
</body>
</html>